import numpy as np
from PyQt4.QtGui import (QApplication, QImage, QGraphicsScene, QGraphicsWidget,
                         QGraphicsView)
import sys

app = QApplication(sys.argv)

array = np.zeros((400, 400, 4), dtype=np.uint8)

img = QImage(array, 400, 400, QImage.Format_RGB32)
scene = QGraphicsScene()
class QImageWidget(QGraphicsWidget):
    def __init__(self, image):
        '''
        A QGraphicsItem that draws a QImage.
        '''
        super(QImageWidget, self).__init__()
        self.image = image
        
    def paint(self, painter, option, widget):
        painter.drawImage(0, 0, self.image)

imgWidget = QImageWidget(img)

scene.addItem(imgWidget)
scene.addText('Hello!')

imgWidget.setPos(-200, -200)

view = QGraphicsView(scene)
array[200, :, 0] = 255

print view.sceneRect()

view.setFixedSize(400, 400)
view.show()

app.exec_()
